Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.support
[Java] Class UaaIntegration

    java.lang.Object
      org.codehaus.groovy.grails.cli.support.UaaIntegration

    public class UaaIntegration
    extends java.lang.Object

Integrates UAA usage tracking with Grails.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static int` | `ONE_MINUTE`

Method Summary
`static void` | `enable(BuildSettings settings, PluginBuildSettings pluginSettings, boolean interactive)`
`static boolean` | `isAvailable()`
`static boolean` | `isEnabled()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ONE_MINUTE

    public static final int ONE_MINUTE

Method Detail

### enable

    public static void enable(BuildSettings settings, PluginBuildSettings pluginSettings, boolean interactive)

### isAvailable

    public static boolean isAvailable()

### isEnabled

    public static boolean isEnabled()

Groovy Documentation